Package org.flowable.engine.debug

# Class ExecutionTreeNode

java.lang.Object
org.flowable.engine.debug.ExecutionTreeNode

All Implemented Interfaces:
  `Iterable<ExecutionTreeNode>`

public class ExecutionTreeNode extends Object implements Iterable<ExecutionTreeNode>

Author:
  Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<ExecutionTreeNode>`
  `children`
  `protected org.flowable.engine.impl.persistence.entity.ExecutionEntity`
  `executionEntity`
  `protected ExecutionTreeNode`
  `parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecutionTreeNode(org.flowable.engine.impl.persistence.entity.ExecutionEntity executionEntity)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ExecutionTreeNode>`
  `getChildren()`
  `protected String`
  `getCurrentFlowElementId()`
  `org.flowable.engine.impl.persistence.entity.ExecutionEntity`
  `getExecutionEntity()`
  `ExecutionTreeNode`
  `getParent()`
  `protected void`
  `internalToString(StringBuilder strb, String prefix, boolean isTail)`
  `Iterator<ExecutionTreeNode>`
  `iterator()`
  `ExecutionTreeBfsIterator`
  `leafsFirstIterator()`
  `void`
  `setChildren(List<ExecutionTreeNode> children)`
  `void`
  `setExecutionEntity(org.flowable.engine.impl.persistence.entity.ExecutionEntity executionEntity)`
  `void`
  `setParent(ExecutionTreeNode parent)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Field Details

  - ### executionEntity

    protected org.flowable.engine.impl.persistence.entity.ExecutionEntity executionEntity

  - ### parent

    protected ExecutionTreeNode parent

  - ### children

    protected List<ExecutionTreeNode> children

- ## Constructor Details

  - ### ExecutionTreeNode

    public ExecutionTreeNode(org.flowable.engine.impl.persistence.entity.ExecutionEntity executionEntity)

- ## Method Details

  - ### getExecutionEntity

    public org.flowable.engine.impl.persistence.entity.ExecutionEntity getExecutionEntity()

  - ### setExecutionEntity

    public void setExecutionEntity(org.flowable.engine.impl.persistence.entity.ExecutionEntity executionEntity)

  - ### getParent

    public ExecutionTreeNode getParent()

  - ### setParent

    public void setParent(ExecutionTreeNode parent)

  - ### getChildren

    public List<ExecutionTreeNode> getChildren()

  - ### setChildren

    public void setChildren(List<ExecutionTreeNode> children)

  - ### iterator

    public Iterator<ExecutionTreeNode> iterator()
    Specified by:
      `iterator` in interface `Iterable<ExecutionTreeNode>`

  - ### leafsFirstIterator

    public ExecutionTreeBfsIterator leafsFirstIterator()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### internalToString

    protected void internalToString(StringBuilder strb, String prefix, boolean isTail)

  - ### getCurrentFlowElementId

    protected String getCurrentFlowElementId()